# `TempestModel_jll.jl` (v0.1.1+0)

[![deps](https://juliahub.com/docs/TempestModel_jll/deps.svg)](https://juliahub.com/ui/Packages/TempestModel_jll/Rx0Tu?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/967a35fdfd5d9ede276fbe7408f7d8a9902cdcab/T/TempestModel/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `TempestModel_jll.jl` have been built from these sources:

* git repository: https://github.com/paullric/tempestmodel (revision: `4ecf5146f3100fb24d36156a2f99433f049f0f66`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/967a35fdfd5d9ede276fbe7408f7d8a9902cdcab/T/TempestModel/bundled)

## Platforms

`TempestModel_jll.jl` is available for the following platforms:

* `macOS x86_64 {mpi=mpich}` (`x86_64-apple-darwin-mpi+mpich`)
* `macOS x86_64 {mpi=mpitrampoline}` (`x86_64-apple-darwin-mpi+mpitrampoline`)
* `macOS x86_64 {mpi=openmpi}` (`x86_64-apple-darwin-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`x86_64-linux-gnu-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`x86_64-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`x86_64-linux-gnu-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`x86_64-linux-gnu-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`x86_64-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`x86_64-linux-gnu-cxx11-mpi+openmpi`)

## Dependencies

The following JLL packages are required by `TempestModel_jll.jl`:

* [`HDF5_jll`](https://github.com/JuliaBinaryWrappers/HDF5_jll.jl)
* [`MKL_jll`](https://github.com/JuliaBinaryWrappers/MKL_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`NetCDF_jll`](https://github.com/JuliaBinaryWrappers/NetCDF_jll.jl)
* [`OpenMPI_jll`](https://github.com/JuliaBinaryWrappers/OpenMPI_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `ExecutableProduct`: `BaldaufGravityWaveTest_exe`
* `ExecutableProduct`: `Baroclinic3DCartesianRidgeTest_exe`
* `ExecutableProduct`: `Baroclinic3DCartesianTest_exe`
* `ExecutableProduct`: `BaroclinicWaveJWTest_exe`
* `ExecutableProduct`: `BaroclinicWaveUMJSTest_exe`
* `ExecutableProduct`: `BarotropicInstabilityTest_exe`
* `ExecutableProduct`: `DensityCurrentCartesianTest_exe`
* `ExecutableProduct`: `HeldSuarezTest_exe`
* `ExecutableProduct`: `HydrostaticMountainCartesianTest_exe`
* `ExecutableProduct`: `InertiaGravityWaveTest_exe`
* `ExecutableProduct`: `InertialGravityCartesianXZTest_exe`
* `ExecutableProduct`: `MountainRossby3DTest_exe`
* `ExecutableProduct`: `MountainRossbyTest_exe`
* `ExecutableProduct`: `MountainWaveSphereTest_exe`
* `ExecutableProduct`: `NonHydroMountainCartesianTest_exe`
* `ExecutableProduct`: `RobertBubbleCartesianTest_exe`
* `ExecutableProduct`: `RossbyHaurwitzWaveTest_exe`
* `ExecutableProduct`: `ScharMountainCartesianTest_exe`
* `ExecutableProduct`: `ScharMountainSphereTest_exe`
* `ExecutableProduct`: `ShearJetMtnWave2DCartesianTest_exe`
* `ExecutableProduct`: `StationaryMountainFlowTest_exe`
* `ExecutableProduct`: `ThermalBubbleCartesian3DTest_exe`
* `ExecutableProduct`: `ThermalBubbleCartesianTest_exe`
